Subject: Re: Help requested - trying to build a tool doing whole-tree commits

From: "Eric S. Raymond" <[email-masked]>
Date: Sun, 11 Nov 2012 08:47:22 -0600

Junio C Hamano <[email-masked]>:
> Perhaps not exactly what you are looking for, but don't we have
> import-tar somewhere in contrib/fast-import hierarchy (sorry, not on
> a machine yet, and I cannot give more details).

If I recall correctly, that can only be used for original import.

I think Andreas Schwab's suggestion (git add -A && git write-tree &&
git commit-tree && git update-ref) is probably the right thing. I'm
going to try that.
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>